from django.contrib import admin
from .models import *

class ResumeDetailInline(admin.StackedInline):
    model = ResumeDetail
    extra = 0

@admin.register(ResumeDetail)
class ResumeDetailAdmin(admin.ModelAdmin):
    list_display = ("resume", "phone", "updated_at")
    search_fields = ("resume__name", "phone")

@admin.register(ResumeBasic)
class ResumeBasicAdmin(admin.ModelAdmin):
    list_display = (
        'resume_id', 'name', 'age', 'gender', 'job_status', 'education',
        'expected_position', 'last_active_time', 'update_time'
    )
    search_fields = ('name', 'phone', 'resume_id')
    list_filter = ('job_status', 'gender', 'education', 'highest_education', 'source')
    ordering = ('-update_time',)

    @admin.display(description='数据来源')
    def source_name(self, obj):
        print(obj.source.name)
        return obj.source.name if obj.source else "-"